#
# spec file for package xorg-x11-libs (Version 7.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           xorg-x11-libs
BuildRequires:  fontconfig-devel freetype2-devel libxslt pkgconfig xorg-x11-libICE-devel xorg-x11-libSM-devel xorg-x11-libX11-devel xorg-x11-libXau-devel xorg-x11-libXdmcp-devel xorg-x11-libXext-devel xorg-x11-libXfixes-devel xorg-x11-libXmu-devel xorg-x11-libXp-devel xorg-x11-libXpm-devel xorg-x11-libXprintUtil-devel xorg-x11-libXrender-devel xorg-x11-libXt-devel xorg-x11-libXv-devel xorg-x11-libfontenc-devel xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel
%ifarch ppc64 s390x x86_64
Provides:       libXaw.so.8()(64bit) libXaw.so.7()(64bit) libXaw.so.6()(64bit)
%else
Provides:       libXaw.so.8 libXaw.so.7 libXaw.so.6
%endif
URL:            http://xorg.freedesktop.org/
Version:        7.2
Release:        26
License:        X11/MIT
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/Libraries
Summary:        Remaining X.Org libraries
Source0:        libAppleWM-X11R7.0-1.0.0.tar.bz2
Source1:        libFS-X11R7.0-1.0.0.tar.bz2
Source2:        libWindowsWM-X11R7.0-1.0.0.tar.bz2
Source3:        libXScrnSaver-1.1.2.tar.bz2
Source4:        libXTrap-X11R7.0-1.0.0.tar.bz2
Source5:        libXaw-X11R7.1-1.0.2.tar.bz2
Source6:        libXcomposite-0.3.1.tar.bz2
Source7:        libXcursor-1.1.8.tar.bz2
Source8:        libXdamage-1.0.4.tar.bz2
Source9:        libXevie-1.0.2.tar.bz2
Source10:       libXfont-1.2.6.tar.bz2
Source11:       libXfontcache-1.0.4.tar.bz2
Source12:       libXft-2.1.12.tar.bz2
Source13:       libXi-1.0.2.tar.bz2
Source14:       libXinerama-X11R7.0-1.0.1.tar.bz2
Source15:       libXprintAppUtil-X11R7.0-1.0.1.tar.bz2
Source16:       libXrandr-1.1.2.tar.bz2
Source17:       libXtst-X11R7.0-1.0.1.tar.bz2
Source18:       libXvMC-1.0.4.tar.bz2
Source19:       libXxf86dga-X11R7.1-1.0.1.tar.bz2
Source20:       libXxf86misc-X11R7.1-1.0.1.tar.bz2
Source21:       libXxf86vm-X11R7.1-1.0.1.tar.bz2
Source22:       libdmx-X11R7.1-1.0.2.tar.bz2
Source23:       liblbxutil-X11R7.1-1.0.1.tar.bz2
Source24:       liboldX-X11R7.0-1.0.1.tar.bz2
Source25:       libxkbui-X11R7.1-1.0.2.tar.bz2
Source26:       xbitmaps-X11R7.0-1.0.1.tar.bz2
Source27:       libXres-1.0.3.tar.bz2
Source28:       libXft1-X11R6.9-1.2.tar.bz2
Patch2:         libXft-2.1.7-lcd-filter-2.patch
Patch3:         p_xft_cjk.diff
Patch4:         p_xft_register.diff
Patch5:         libxkbui.diff

%description
This package contains the remaining X.Org libraries.



Authors:
--------
    
    Apple Computer Corporation
    Dave Lemke
    David Dawes
    Derek Wang
    Frank Giessler
    Jim Gettys
    Juliusz Chroboczek
    Jungshik Shin
    Keith Packard
    Kensuke Matsuzaki
    Marc La France
    Mark Leisher
    Noah Levitt
    Phil Karlton
    Ralf Habacker
    Shunsuke Akiyama
    Suhaib Siddiqi
    Susan Angebrandt

%package -n xorg-x11-devel
Summary:        Include Files and Libraries mandatory for X11 Development.
Group:          Development/Libraries/X11
Provides:       xorg-x11-compat70-devel xorg-x11-man XFree86-devel
Obsoletes:      xorg-x11-compat70-devel xorg-x11-man
Requires:       xorg-x11-proto-devel xorg-x11-xtrans-devel xorg-x11-libXau-devel xorg-x11-libXdmcp-devel xorg-x11-libX11-devel xorg-x11-libXext-devel xorg-x11-libXp-devel xorg-x11-libXpm-devel xorg-x11-libXrender-devel xorg-x11-libICE-devel xorg-x11-libSM-devel xorg-x11-libXt-devel xorg-x11-libXmu-devel xorg-x11-libXfixes-devel xorg-x11-libxkbfile-devel freetype2-devel fontconfig-devel xorg-x11-libs xorg-x11-util-devel xorg-x11-libfontenc-devel xorg-x11-libXv-devel xorg-x11-libXprintUtil-devel xorg-x11-fonts-devel pkgconfig
Autoreqprov:    on

%description -n xorg-x11-devel
This package contains all necessary include files and libraries needed
to develop X11 applications that require these.



Authors:
--------
    
    Apple Computer Corporation
    Dave Lemke
    David Dawes
    Derek Wang
    Frank Giessler
    Jim Gettys
    Juliusz Chroboczek
    Jungshik Shin
    Keith Packard
    Kensuke Matsuzaki
    Marc La France
    Mark Leisher
    Noah Levitt
    Phil Karlton
    Ralf Habacker
    Shunsuke Akiyama
    Suhaib Siddiqi
    Susan Angebrandt

%prep
%setup -n . -T -D
rm -rf $RPM_BUILD_DIR/*
for i in $RPM_SOURCE_DIR/*.tar.bz2; do tar xjf $i; done
pushd libXft-*/src
%if %suse_version > 1010
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p3
popd
pushd libxkbui-*
%patch5
popd

%build
for dir in libXft1-* xbitmaps-* $(ls | grep -v -e libXft1 -e xbitmaps); do
  pushd $dir
    case $dir in 
      libXft1-*) 
        xmkmf -a 
        ;;
      *) 
        #autoreconf -fi
        ./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
                    --enable-type1 \
                    --prefix=/usr \
                    --libdir=%{_libdir} \
                    --mandir=%{_mandir} 
        ;;
    esac
    make
  popd
done

%install
for dir in xbitmaps-* $(ls | grep -v xbitmap); do
  pushd $dir
    make install DESTDIR=$RPM_BUILD_ROOT
  popd
done
/sbin/ldconfig -n $RPM_BUILD_ROOT/usr/%_lib
mkdir -p $RPM_BUILD_ROOT/usr/include/X11/pixmaps/

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -p /sbin/ldconfig

%pre -n xorg-x11-devel
test -L usr/include/X11 && rm usr/include/X11
exit 0

%files
%defattr(-,root,root)
/usr/include/X11/bitmaps/
/usr/include/X11/pixmaps/
/usr/%{_lib}/*.so.*

%files -n xorg-x11-devel
%defattr(-,root,root)
/usr/bin/xft-config
/usr/include/X11/*.h
/usr/include/X11/Xaw/
/usr/include/X11/Xcursor/
/usr/include/X11/Xft/
/usr/include/X11/XprintAppUtil/
/usr/include/X11/extensions/*.h
/usr/include/X11/fonts/*.h
/usr/%{_lib}/*.a
/usr/%{_lib}/*.la
/usr/%{_lib}/*.so
/usr/%{_lib}/pkgconfig/*.pc
/usr/share/aclocal/*.m4
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog -n xorg-x11-libs
* Sun Dec 17 2006 - sndirsch@suse.de
- updated libXScrnSaver to release 1.1.2
  * Makefile.am: make ChangeLog hook safer
- updated libXfont to release 1.2.6
  * Makefile.am: make ChangeLog hook safer
  * don't distribute fontconf.h
  * build Type1 by default
- updated libXfontcache to release 1.0.4
  * Makefile.am: make ChangeLog hook safer
- updated libXres to release 1.0.3
  * Makefile.am: make ChangeLog hook as safe as possible
- updated libXvMC to release 1.0.4
  * Makefile.am: make ChangeLog hook safer
* Sat Dec 09 2006 - sndirsch@suse.de
- updated libXft to release 2.1.12
  * XftNameUnparse: re-export to public API (bug #8900)
* Sun Dec 03 2006 - sndirsch@suse.de
- moved libxcb to seperate package (xorg-x11-libxcb)
- updated libXfont to release 1.2.5
  * remove CID font support (bug #5553)
* Mon Nov 27 2006 - dmueller@suse.de
- reduce p_xft_cjk.diff to only disable antialiasing on
  fonts with embedded bitmaps (Bug #223682)
* Fri Nov 10 2006 - sndirsch@suse.de
- fixed typo in libxkbui (Bug #219732)
* Wed Nov 08 2006 - sndirsch@suse.de
- updated libXdamage to release 1.0.4 (X.Org 7.2 RC2)
  * Remove incorrect UnlockDisplay and SyncHandle from
  XDamageQueryVersion
- updated libXi to release 1.0.2 (X.Org 7.2 RC2)
  * fix indentation on function declarations
  * Don't call XInput_find_display in _XiCheckExtInit, while the
  Display lock is held.
* Fri Nov 03 2006 - sndirsch@suse.de
- updated optional libxcb to release 1.0 RC3 (0.9.93)
* Fri Oct 20 2006 - mfabian@suse.de
- Bugzilla 213320: add lcd-filter-2 patch from David Turner, see
  http://lists.gnu.org/archive/html/freetype/2006-09/msg00083.html
  http://david.freetype.org/lcd/libXft-2.1.7-lcd-filter-2.patch
  (This patch is needed for freetype >= 2.2.2).
* Mon Oct 16 2006 - sndirsch@suse.de
- added optional libxcb
* Sat Oct 14 2006 - sndirsch@suse.de
- package update to X.Org 7.2RC1
  * libXevie-1.0.2
  * libXfontcache-1.0.3
  * libXres-1.0.2
  * libXfont-1.2.3
  * libXcomposite-0.3.1
  * libXcursor-1.1.8
  * libXrandr-1.1.2
  * libXScrnSaver-1.1.1
  * libXft-2.1.11
* Mon Oct 09 2006 - sndirsch@suse.de
- updated to libXvMC 1.0.3:
  * Minor cleanup release - just some sparse warning cleanups, and
  adding autoconf check to enable shmat() code (missed in
  original conversion from Imake).
* Tue Sep 12 2006 - sndirsch@suse.de
- updated libXfont to release 1.2.2
  * Fixes for integer overflows in CID encoded fonts parsing
  reported by iDefense
  * More check on PCF file reading. Bugzilla #7535
  * use OpenBitmap when available
  * move builtin fonts to gzip
  * Bug #7397: Fix a buffer overflow in Freetype font support.
  * obsoletes libXfont-pcfread.diff
* Thu Aug 31 2006 - sndirsch@suse.de
- fixed libXaw Provides for 64bit (Bug #198461)
* Sat Aug 12 2006 - sndirsch@suse.de
- added libXft1 (Bug #198432)
* Sat Aug 05 2006 - sndirsch@suse.de
- p_xft_cjk.diff:
  * adds fake bold support to Xft library (Bug #38202)
- p_xft_register.diff:
  * new fontconfig objects needs to be registered first (Bug #141216)
* Wed Aug 02 2006 - sndirsch@suse.de
- added /usr/include/X11/pixmaps/ to filelist
* Mon Jul 31 2006 - sndirsch@suse.de
- moved bitmap directory from -devel to main package
* Fri Jul 28 2006 - sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 - sndirsch@suse.de
- use $RPM_OPT_FLAGS
- remove existing /usr/include/X11 symlink in %%pre
* Wed Jul 26 2006 - sndirsch@suse.de
- libXfont-pcfread.diff:
  * handle malformed pcf files (Bug #192095)
* Fri Jun 23 2006 - sndirsch@suse.de
- created package
